Name:           perl-threads-shared
Version:        1.59
Release:        2
Summary:        Perl extension for sharing data structures between threads
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/threads-shared
Source0:        https://cpan.metacpan.org/authors/id/J/JD/JDHEDDEN/threads-shared-%{version}.tar.gz
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(ExtUtils::testlib) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)
Requires:       perl(threads) >= 1.73
Requires:       perl(XSLoader)

%description
By default, variables are private to each thread, and each newly created
thread gets a private copy of each existing variable. This module allows
you to share variables across different threads (and pseudo-forks on
Win32). It is used together with the threads module.

This module supports the sharing of the following data types only: scalars
and scalar refs, arrays and array refs, and hashes and hash refs.

%package	help
Summary: 	Doc files for %{name}
Buildarch:	noarch
requires:	man

%description 	help
The %{name}-help package contains doc files for %{name}.

%prep
%autosetup -n threads-shared-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/threads*

%files help
%doc Changes examples
%{_mandir}/man3/*

%changelog
* Tue Sep 27 2019 luhuaxin <luhuaxin@huawei.com> - 1.59-2
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: move README file to main package

* Wed Sep 11 2019 luhuaxin <luhuaxin@huawei.com> - 1.59-1
- Package init
